Package helma.framework.core

# Class Skin.Macro

java.lang.Object
helma.framework.core.Skin.Macro

Enclosing class:
  Skin

public class Skin.Macro extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`end`
`final int`
`start`

## Method Summary

Modifier and Type
Method
Description
`int`
`getHandlerType()`
Return the numeric type of the macro handler
`String`
`getName()`
Return the full name of the macro in handler.name notation
`Map`
`getNamedParams()`
Return the list of named parameters
`List`
`getPositionalParams()`
Return the list of positional parameters
`boolean`
`hasNestedMacros()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public final int start

### end

public final int end

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getName

public String getName()
Return the full name of the macro in handler.name notation

Returns:
  the macro name

### getHandlerType

public int getHandlerType()
Return the numeric type of the macro handler

Returns:
  the handler type

### getNamedParams

public Map getNamedParams()
Return the list of named parameters

Returns:
  the list of named parameters

### getPositionalParams

public List getPositionalParams()
Return the list of positional parameters

Returns:
  the list of positional parameters

### hasNestedMacros

public boolean hasNestedMacros()